Google Groups no longer supports new Usenet posts or subscriptions. Historical content remains viewable.
Dismiss

How to determine if a point is on a polyline

0 views
Skip to first unread message

Ian Elsinga

unread,
Jan 5, 1999, 3:00:00 AM1/5/99
to
I have searched high and low for this. What is a SIMPLE way to test
whether or not a point is on a polyline?

Thanks....


Reed Associates

unread,
Jan 5, 1999, 3:00:00 AM1/5/99
to
How are you getting this "point"?

Daron Denton

Ian Elsinga wrote in message <76tsdj$c5...@adesknews2.autodesk.com>...

Douglas Broad

unread,
Jan 5, 1999, 3:00:00 AM1/5/99
to
this is the simplest way I know..
(defun demo (pt)
(and
(zerop(distance pt (osnap pt "nea")))
(setq ss (ssget pt))
(member (cdr(assoc 0 (entget (ssname ss 0)))) (list
"POLYLINE""LWPOLYLINE"))
)
)


Ian Elsinga wrote:

> I have searched high and low for this. What is a SIMPLE way to test
> whether or not a point is on a polyline?
>

> Thanks....


Ian Elsinga

unread,
Jan 6, 1999, 3:00:00 AM1/6/99
to
Ok. Sorry folks. Ill-defined problem. Here is exactly what I want to
do:

I need to click a point and have it automatically snap to member of a
certain (given) topology (using ARX) in Autocad Map.

That's it. It is complicated by the fact that you can find the nearest
topology element (tpm_elemfind), but I don't know how to snap to that object
once found.

Any ideas?? (BTW, I don't understand lisp)

Thanks...

0 new messages